Index: /trunk/src/readcommand.f90
===================================================================
--- /trunk/src/readcommand.f90	(revision 30)
+++ /trunk/src/readcommand.f90	(revision 20)
@@ -29,6 +29,4 @@
   !                                                                            *
   !     18 May 1996                                                            *
-  !     HSO, 1 July 2014                                                       *
-  !     Added optional namelist input                                          *
   !                                                                            *
   !*****************************************************************************
@@ -82,36 +80,36 @@
   character(len=50) :: line
   logical :: old
+  logical :: nmlout=.true. !.false.
   integer :: readerror
 
   namelist /command/ &
-  ldirect, &
-  ibdate,ibtime, &
-  iedate,ietime, &
-  loutstep, &
-  loutaver, &
-  loutsample, &
-  itsplit, &
-  lsynctime, &
-  ctl, &
-  ifine, &
-  iout, &
-  ipout, &
-  lsubgrid, &
-  lconvection, &
-  lagespectra, &
-  ipin, &
-  ioutputforeachrelease, &
-  iflux, &
-  mdomainfill, &
-  ind_source, &
-  ind_receptor, &
-  mquasilag, &
-  nested_output, &
-  linit_cond, &
-  lnetcdfout, &
-  surf_only    
+    ldirect, &
+    ibdate,ibtime, &
+    iedate,ietime, &
+    loutstep, &
+    loutaver, &
+    loutsample, &
+    itsplit, &
+    lsynctime, &
+    ctl, &
+    ifine, &
+    iout, &
+    ipout, &
+    lsubgrid, &
+    lconvection, &
+    lagespectra, &
+    ipin, &
+    ioutputforeachrelease, &
+    iflux, &
+    mdomainfill, &
+    ind_source, &
+    ind_receptor, &
+    mquasilag, &
+    nested_output, &
+    linit_cond, &
+    surf_only    
 
   ! Presetting namelist command
-  ldirect=0
+  ldirect=1
   ibdate=20000101
   ibtime=0
@@ -139,5 +137,4 @@
   nested_output=0
   linit_cond=0
-  lnetcdfout=0
   surf_only=0 
 
@@ -145,14 +142,24 @@
   ! Namelist input first: try to read as namelist file
   !**************************************************************************
-  open(unitcommand,file=path(1)(1:length(1))//'COMMAND',status='old',form='formatted',err=999)
-
-  ! try namelist input (default)
+  open(unitcommand,file=path(1)(1:length(1))//'COMMAND',status='old', &
+         form='formatted',iostat=readerror)
+  ! If fail, check if file does not exist
+  if (readerror.ne.0) then
+    
+    print*,'***ERROR: file COMMAND not found in ' 
+    print*, path(1)(1:length(1))//'COMMAND'
+    print*, 'Check your pathnames file.'
+    stop
+
+  endif
+
   read(unitcommand,command,iostat=readerror)
   close(unitcommand)
 
-  ! distinguish namelist from fixed text input
-  if ((readerror.ne.0).or.(ldirect.eq.0)) then ! parse as text file format
- 
-    open(unitcommand,file=path(1)(1:length(1))//'COMMAND',status='old', err=999)
+  ! If error in namelist format, try to open with old input code
+  if (readerror.ne.0) then
+
+    open(unitcommand,file=path(1)(1:length(1))//'COMMAND',status='old', &
+         err=999)
 
     ! Check the format of the COMMAND file (either in free format,
@@ -166,12 +173,9 @@
     if (index(line,'LDIRECT') .eq. 0) then
       old = .false.
-      write(*,*) 'COMMAND in old short format, please update to namelist format'
     else
       old = .true.
-      write(*,*) 'COMMAND in old long format, please update to namelist format'
     endif
     rewind(unitcommand)
 
-
     ! Read parameters
     !****************
@@ -179,4 +183,5 @@
     call skplin(7,unitcommand)
     if (old) call skplin(1,unitcommand)
+
     read(unitcommand,*) ldirect
     if (old) call skplin(3,unitcommand)
@@ -226,6 +231,4 @@
     if (old) call skplin(3,unitcommand)
     read(unitcommand,*) linit_cond
-    if (old) call skplin(3,unitcommand)
-    read(unitcommand,*) surf_only
     close(unitcommand)
 
@@ -234,7 +237,11 @@
   ! write command file in namelist format to output directory if requested
   if (nmlout.eqv..true.) then
+    !open(unitcommand,file=path(2)(1:length(2))//'COMMAND.namelist.out',status='new',err=1000)
     open(unitcommand,file=path(2)(1:length(2))//'COMMAND.namelist',err=1000)
     write(unitcommand,nml=command)
     close(unitcommand)
+     ! open(unitheader,file=path(2)(1:length(2))//'header_nml',status='new',err=999)
+     ! write(unitheader,NML=COMMAND)
+     !close(unitheader) 
   endif
 
@@ -346,15 +353,4 @@
   endif
 
-!  check for netcdf output switch (use for non-namelist input only!)
-  if (iout.ge.8) then
-     lnetcdfout = 1
-     iout = iout - 8
-#ifndef NETCDF_OUTPUT
-     print*,'ERROR: netcdf output not activated during compile time but used in COMMAND file!'
-     print*,'Please recompile with netcdf library or use standard output format.'
-     stop
-#endif
-  endif
-
   ! Check whether a valid option for gridded model output has been chosen
   !**********************************************************************
@@ -362,7 +358,5 @@
   if ((iout.lt.1).or.(iout.gt.5)) then
     write(*,*) ' #### FLEXPART MODEL ERROR! FILE COMMAND:     #### '
-    write(*,*) ' #### IOUT MUST BE 1, 2, 3, 4, OR 5 FOR       #### '
-    write(*,*) ' #### STANDARD FLEXPART OUTPUT OR  9 - 13     #### '
-    write(*,*) ' #### FOR NETCDF OUTPUT                       #### '
+    write(*,*) ' #### IOUT MUST BE 1, 2, 3, 4, OR 5!          #### '
     stop
   endif
@@ -376,4 +370,5 @@
     stop
   endif
+
 
 
@@ -597,6 +592,6 @@
 
 1000   write(*,*) ' #### FLEXPART MODEL ERROR! FILE "COMMAND"    #### '
-  write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
-  write(*,'(a)') path(2)(1:length(1))
-  stop
+       write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
+        write(*,'(a)') path(2)(1:length(1))
+        stop
 end subroutine readcommand
Index: /trunk/src/readoutgrid.f90
===================================================================
--- /trunk/src/readoutgrid.f90	(revision 30)
+++ /trunk/src/readoutgrid.f90	(revision 20)
@@ -29,6 +29,4 @@
   !                                                                            *
   !     4 June 1996                                                            *
-  !     HSO, 1 July 2014
-  !     Added optional namelist input
   !                                                                            *
   !*****************************************************************************
@@ -55,58 +53,32 @@
   real,parameter :: eps=1.e-4
 
-  ! namelist variables
-  integer, parameter :: maxoutlev=500
-  integer :: readerror
-  real,allocatable, dimension (:) :: outheights
 
-  ! declare namelist
-  namelist /outgrid/ &
-    outlon0,outlat0, &
-    numxgrid,numygrid, &
-    dxout,dyout, &
-    outheights
-
-  ! allocate large array for reading input
-  allocate(outheights(maxoutlev),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate outheights'
-
-  ! helps identifying failed namelist input
-  dxout=-1.0
-  outheights=-1.0
 
   ! Open the OUTGRID file and read output grid specifications
   !**********************************************************
 
-  open(unitoutgrid,file=path(1)(1:length(1))//'OUTGRID',status='old',form='formatted',err=999)
+  open(unitoutgrid,file=path(1)(1:length(1))//'OUTGRID',status='old', &
+       err=999)
 
-  ! try namelist input
-  read(unitoutgrid,outgrid,iostat=readerror)
-  close(unitoutgrid)
 
-  if ((dxout.le.0).or.(readerror.ne.0)) then
+  call skplin(5,unitoutgrid)
 
-    readerror=1
 
-    open(unitoutgrid,file=path(1)(1:length(1))//'OUTGRID',status='old',err=999)
+  ! 1.  Read horizontal grid specifications
+  !****************************************
 
-    call skplin(5,unitoutgrid)
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f11.4)') outlon0
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f11.4)') outlat0
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,i5)') numxgrid
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,i5)') numygrid
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f12.5)') dxout
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f12.5)') dyout
 
-    ! 1.  Read horizontal grid specifications
-    !****************************************
-
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f11.4)') outlon0
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f11.4)') outlat0
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,i5)') numxgrid
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,i5)') numygrid
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f12.5)') dxout
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f12.5)') dyout
-
-  endif
 
   ! Check validity of output grid (shall be within model domain)
@@ -119,5 +91,7 @@
   if ((outlon0+eps.lt.xlon0).or.(outlat0+eps.lt.ylat0) &
        .or.(xr.gt.xr1+eps).or.(yr.gt.yr1+eps)) then
+    write(*,*) 'outlon0,outlat0:'
     write(*,*) outlon0,outlat0
+    write(*,*) 'xr1,yr1,xlon0,ylat0,xr,yr,dxout,dyout:'
     write(*,*) xr1,yr1,xlon0,ylat0,xr,yr,dxout,dyout
     write(*,*) ' #### FLEXPART MODEL ERROR! PART OF OUTPUT    ####'
@@ -130,8 +104,6 @@
   ! 2. Count Vertical levels of output grid
   !****************************************
-
-  if (readerror.ne.0) then
-    j=0
-100 j=j+1
+  j=0
+100   j=j+1
     do i=1,3
       read(unitoutgrid,*,end=99)
@@ -140,58 +112,31 @@
     if (outhelp.eq.0.) goto 99
     goto 100
-99  numzgrid=j-1
-  else
-    do i=1,maxoutlev
-      if (outheights(i).lt.0) exit
-    end do
-    numzgrid=i-1
-  end if
+99   numzgrid=j-1
 
-  allocate(outheight(numzgrid),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate outheight'
-  allocate(outheighthalf(numzgrid),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate outheighthalf'
+    allocate(outheight(numzgrid) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(outheighthalf(numzgrid) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+
+
+  rewind(unitoutgrid)
+  call skplin(29,unitoutgrid)
 
   ! 2. Vertical levels of output grid
   !**********************************
 
-  if (readerror.ne.0) then
+  j=0
+1000   j=j+1
+    do i=1,3
+      read(unitoutgrid,*,end=990)
+    end do
+    read(unitoutgrid,'(4x,f7.1)',end=990) outhelp
+    if (outhelp.eq.0.) goto 99
+    outheight(j)=outhelp
+    goto 1000
+990   numzgrid=j-1
 
-    rewind(unitoutgrid)
-    call skplin(29,unitoutgrid)
-
-    do j=1,numzgrid
-      do i=1,3
-        read(unitoutgrid,*)
-      end do
-      read(unitoutgrid,'(4x,f7.1)') outhelp
-      outheight(j)=outhelp
-      outheights(j)=outhelp
-    end do
-    close(unitoutgrid)
-
-  else
-
-    do j=1,numzgrid
-      outheight(j)=outheights(j)
-    end do
-
-  endif
-
-  ! write outgrid file in namelist format to output directory if requested
-  if (nmlout.eqv..true.) then
-    ! reallocate outheights with actually required dimension for namelist writing
-    deallocate(outheights)
-    allocate(outheights(numzgrid),stat=stat)
-    if (stat.ne.0) write(*,*)'ERROR: could not allocate outheights'
-
-    do j=1,numzgrid
-      outheights(j)=outheight(j)
-    end do
-
-    open(unitoutgrid,file=path(2)(1:length(2))//'OUTGRID.namelist',err=1000)
-    write(unitoutgrid,nml=outgrid)
-    close(unitoutgrid)
-  endif
 
   ! Check whether vertical levels are specified in ascending order
@@ -215,28 +160,30 @@
   end do
 
+
   xoutshift=xlon0-outlon0
   youtshift=ylat0-outlat0
+  close(unitoutgrid)
 
-  allocate(oroout(0:numxgrid-1,0:numygrid-1),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate oroout'
-  allocate(area(0:numxgrid-1,0:numygrid-1),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate area'
-  allocate(volume(0:numxgrid-1,0:numygrid-1,numzgrid),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate volume'
-  allocate(areaeast(0:numxgrid-1,0:numygrid-1,numzgrid),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate areaeast'
-  allocate(areanorth(0:numxgrid-1,0:numygrid-1,numzgrid),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate areanorth'
+    allocate(oroout(0:numxgrid-1,0:numygrid-1) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(area(0:numxgrid-1,0:numygrid-1) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(volume(0:numxgrid-1,0:numygrid-1,numzgrid) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(areaeast(0:numxgrid-1,0:numygrid-1,numzgrid) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(areanorth(0:numxgrid-1,0:numygrid-1,numzgrid) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
   return
 
 
-999 write(*,*) ' #### FLEXPART MODEL ERROR! FILE "OUTGRID"    #### '
+999   write(*,*) ' #### FLEXPART MODEL ERROR! FILE "OUTGRID"    #### '
   write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
-  write(*,'(a)') path(1)(1:length(1))
-  stop
-
-1000 write(*,*) ' #### FLEXPART MODEL ERROR! FILE "OUTGRID"    #### '
-  write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
-  write(*,'(a)') path(2)(1:length(2))
+  write(*,*) ' #### xxx/flexpart/options                    #### '
   stop
 
Index: /trunk/src/readoutgrid_nest.f90
===================================================================
--- /trunk/src/readoutgrid_nest.f90	(revision 30)
+++ /trunk/src/readoutgrid_nest.f90	(revision 20)
@@ -53,61 +53,42 @@
   real,parameter :: eps=1.e-4
 
-  integer :: readerror
 
-  ! declare namelist
-  namelist /outgridn/ &
-    outlon0n,outlat0n, &
-    numxgridn,numygridn, &
-    dxoutn,dyoutn
-
-  ! helps identifying failed namelist input
-  dxoutn=-1.0
 
   ! Open the OUTGRID file and read output grid specifications
   !**********************************************************
 
-  open(unitoutgrid,file=path(1)(1:length(1))//'OUTGRID_NEST',form='formatted',status='old',err=999)
+  open(unitoutgrid,file=path(1)(1:length(1))//'OUTGRID_NEST', &
+       status='old',err=999)
 
-  ! try namelist input
-  read(unitoutgrid,outgridn,iostat=readerror)
-  close(unitoutgrid)
 
-  if ((dxoutn.le.0).or.(readerror.ne.0)) then
+  call skplin(5,unitoutgrid)
 
-    open(unitoutgrid,file=path(1)(1:length(1))//'OUTGRID_NEST',status='old',err=999)
-    call skplin(5,unitoutgrid)
 
-    ! 1.  Read horizontal grid specifications
-    !****************************************
+  ! 1.  Read horizontal grid specifications
+  !****************************************
 
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f11.4)') outlon0n
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f11.4)') outlat0n
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,i5)') numxgridn
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,i5)') numygridn
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f12.5)') dxoutn
-    call skplin(3,unitoutgrid)
-    read(unitoutgrid,'(4x,f12.5)') dyoutn
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f11.4)') outlon0n
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f11.4)') outlat0n
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,i5)') numxgridn
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,i5)') numygridn
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f12.5)') dxoutn
+  call skplin(3,unitoutgrid)
+  read(unitoutgrid,'(4x,f12.5)') dyoutn
 
-    close(unitoutgrid)
-  endif
 
-  ! write outgrid_nest file in namelist format to output directory if requested
-  if (nmlout.eqv..true.) then
-    open(unitoutgrid,file=path(2)(1:length(2))//'OUTGRID_NEST.namelist',err=1000)
-    write(unitoutgrid,nml=outgridn)
-    close(unitoutgrid)
-  endif
-
-  allocate(orooutn(0:numxgridn-1,0:numygridn-1),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate orooutn'
-  allocate(arean(0:numxgridn-1,0:numygridn-1),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate arean'
-  allocate(volumen(0:numxgridn-1,0:numygridn-1,numzgrid),stat=stat)
-  if (stat.ne.0) write(*,*)'ERROR: could not allocate volumen'
+    allocate(orooutn(0:numxgridn-1,0:numygridn-1) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(arean(0:numxgridn-1,0:numygridn-1) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
+    allocate(volumen(0:numxgridn-1,0:numygridn-1,numzgrid) &
+         ,stat=stat)
+    if (stat.ne.0) write(*,*)'ERROR: could not allocate outh'
 
   ! Check validity of output grid (shall be within model domain)
@@ -129,14 +110,11 @@
   xoutshiftn=xlon0-outlon0n
   youtshiftn=ylat0-outlat0n
+  close(unitoutgrid)
   return
 
-999 write(*,*) ' #### FLEXPART MODEL ERROR! FILE "OUTGRID"    #### '
+
+999   write(*,*) ' #### FLEXPART MODEL ERROR! FILE OUTGRID_NEST #### '
   write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
-  write(*,'(a)') path(1)(1:length(1))
-  stop
-
-1000 write(*,*) ' #### FLEXPART MODEL ERROR! FILE "OUTGRID"    #### '
-  write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
-  write(*,'(a)') path(2)(1:length(2))
+  write(*,*) ' #### xxx/flexpart/options                    #### '
   stop
 
Index: /trunk/src/readpaths.f90
===================================================================
--- /trunk/src/readpaths.f90	(revision 30)
+++ /trunk/src/readpaths.f90	(revision 20)
@@ -88,4 +88,5 @@
     length(numpath+2*(i-1)+2)=index(path(numpath+2*(i-1)+2),' ')-1
   end do
+  print*,length(5),length(6)
 
 
Index: /trunk/src/readreceptors.f90
===================================================================
--- /trunk/src/readreceptors.f90	(revision 30)
+++ /trunk/src/readreceptors.f90	(revision 20)
@@ -27,7 +27,6 @@
   !                                                                            *
   !     Author: A. Stohl                                                       *
+  !                                                                            *
   !     1 August 1996                                                          *
-  !     HSO, 14 August 2013
-  !     Added optional namelist input
   !                                                                            *
   !*****************************************************************************
@@ -52,13 +51,4 @@
   character(len=16) :: receptor
 
-  integer :: readerror
-  real :: lon,lat   ! for namelist input, lon/lat are used instead of x,y
-  integer,parameter :: unitreceptorout=2
-
-  ! declare namelist
-  namelist /receptors/ &
-    receptor, lon, lat
-
-  lon=-999.9
 
   ! For backward runs, do not allow receptor output. Thus, set number of receptors to zero
@@ -74,25 +64,15 @@
   !************************************************************
 
-  open(unitreceptor,file=path(1)(1:length(1))//'RECEPTORS',form='formatted',status='old',err=999)
+  open(unitreceptor,file=path(1)(1:length(1))//'RECEPTORS', &
+       status='old',err=999)
 
-  ! try namelist input
-  read(unitreceptor,receptors,iostat=readerror)
+  call skplin(5,unitreceptor)
 
-  ! prepare namelist output if requested
-  if (nmlout.eqv..true.) then
-    open(unitreceptorout,file=path(2)(1:length(2))//'RECEPTORS.namelist',access='append',status='new',err=1000)
-  endif
 
-  if ((lon.lt.-900).or.(readerror.ne.0)) then
+  ! Read the names and coordinates of the receptors
+  !************************************************
 
-    close(unitreceptor)
-    open(unitreceptor,file=path(1)(1:length(1))//'RECEPTORS',status='old',err=999)
-    call skplin(5,unitreceptor)
-
-    ! Read the names and coordinates of the receptors
-    !************************************************
-
-    j=0
-100 j=j+1
+  j=0
+100   j=j+1
     read(unitreceptor,*,end=99)
     read(unitreceptor,*,end=99)
@@ -109,8 +89,8 @@
     endif
     if (j.gt.maxreceptor) then
-      write(*,*) ' #### FLEXPART MODEL ERROR! TOO MANY RECEPTOR #### '
-      write(*,*) ' #### POINTS ARE GIVEN.                       #### '
-      write(*,*) ' #### MAXIMUM NUMBER IS ',maxreceptor,'       #### '
-      write(*,*) ' #### PLEASE MAKE CHANGES IN FILE RECEPTORS   #### '
+    write(*,*) ' #### FLEXPART MODEL ERROR! TOO MANY RECEPTOR #### '
+    write(*,*) ' #### POINTS ARE GIVEN.                       #### '
+    write(*,*) ' #### MAXIMUM NUMBER IS ',maxreceptor,'       #### '
+    write(*,*) ' #### PLEASE MAKE CHANGES IN FILE RECEPTORS   #### '
     endif
     receptorname(j)=receptor
@@ -120,67 +100,15 @@
     ym=r_earth*dy/180.*pi
     receptorarea(j)=xm*ym
-
-    ! write receptors file in namelist format to output directory if requested
-    if (nmlout.eqv..true.) then
-      lon=x
-      lat=y
-      write(unitreceptorout,nml=receptors)
-    endif
-
     goto 100
 
-99  numreceptor=j-1
-
-  else ! continue with namelist input
-
-    j=0
-    do while (readerror.eq.0)
-      j=j+1
-      lon=-999.9
-      read(unitreceptor,receptors,iostat=readerror)
-      if ((lon.lt.-900).or.(readerror.ne.0)) then
-        readerror=1
-      else
-        if (j.gt.maxreceptor) then
-          write(*,*) ' #### FLEXPART MODEL ERROR! TOO MANY RECEPTOR #### '
-          write(*,*) ' #### POINTS ARE GIVEN.                       #### '
-          write(*,*) ' #### MAXIMUM NUMBER IS ',maxreceptor,'       #### '
-          write(*,*) ' #### PLEASE MAKE CHANGES IN FILE RECEPTORS   #### '
-        endif
-        receptorname(j)=receptor
-        xreceptor(j)=(lon-xlon0)/dx       ! transform to grid coordinates
-        yreceptor(j)=(lat-ylat0)/dy
-        xm=r_earth*cos(lat*pi/180.)*dx/180.*pi
-        ym=r_earth*dy/180.*pi
-        receptorarea(j)=xm*ym
-      endif
-
-      ! write receptors file in namelist format to output directory if requested
-      if (nmlout.eqv..true.) then
-        write(unitreceptorout,nml=receptors)
-      endif
-
-    end do
-    numreceptor=j-1
-    close(unitreceptor)
-
-  endif
-
-  if (nmlout.eqv..true.) then
-    close(unitreceptorout)
-  endif
-
+99   numreceptor=j-1
+  close(unitreceptor)
   return
 
 
-999 write(*,*) ' #### FLEXPART MODEL ERROR! FILE "RECEPTORS"  #### '
+999   write(*,*) ' #### FLEXPART MODEL ERROR! FILE "RECEPTORS"  #### '
   write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
   write(*,'(a)') path(1)(1:length(1))
   stop
 
-1000 write(*,*) ' #### FLEXPART MODEL ERROR! FILE "RECEPTORS"    #### '
-  write(*,*) ' #### CANNOT BE OPENED IN THE DIRECTORY       #### '
-  write(*,'(a)') path(2)(1:length(2))
-  stop
-
 end subroutine readreceptors
